You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     skreu...@freebsd.org
Last committer: swi...@freebsd.org
Ident:          $FreeBSD: head/security/rubygem-ezcrypto/Makefile 414136 
2016-04-27 21:57:31Z swills $
Log URL:        
http://package19.nyi.freebsd.org/data/103i386-default-build-as-user/440138/logs/rubygem-ezcrypto-0.7.2.log
Build URL:      
http://package19.nyi.freebsd.org/build.html?mastername=103i386-default-build-as-user&build=440138
Log:

====>> Building security/rubygem-ezcrypto
build started at Fri May  5 21:09:38 UTC 2017
port directory: /usr/ports/security/rubygem-ezcrypto
building for: FreeBSD 103i386-default-build-as-user-job-05 10.3-RELEASE-p19 
FreeBSD 10.3-RELEASE-p19 i386
maintained by: skreu...@freebsd.org
Makefile ident:      $FreeBSD: head/security/rubygem-ezcrypto/Makefile 414136 
2016-04-27 21:57:31Z swills $
Poudriere version: 3.1.17-10-ge01cc509
Host OSVERSION: 1200028
Jail OSVERSION: 1003000
Job Id: 05

---Begin Environment---
SHELL=/bin/csh
UNAME_p=i386
UNAME_m=i386
OSVERSION=1003000
UNAME_v=FreeBSD 10.3-RELEASE-p19
UNAME_r=10.3-RELEASE-p19
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/poudriere/data/.m/103i386-default-build-as-user/ref
UID=0
FORCE_PACKAGE=yes
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=rubygem-ezcrypto-0.7.2
OLDPWD=/
PWD=/poudriere/data/.m/103i386-default-build-as-user/ref/.p/pool
MASTERNAME=103i386-default-build-as-user
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.17-10-ge01cc509
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
GID=0
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/security/rubygem-ezcrypto/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/security/rubygem-ezcrypto/work  
HOME=/wrkdirs/usr/ports/security/rubygem-ezcrypto/work TMPDIR="/tmp" 
SHELL=/bin/sh CONFIG_SHELL=/bin/sh LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/security/rubygem-ezcrypto/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/security/rubygem-ezcrypto/work  
HOME=/wrkdirs/usr/ports/security/rubygem-ezcrypto/work TMPDIR="/tmp" NO_PIE=yes 
WITHOUT_DEBUG_FILES=yes WITHOUT_KERNEL_SYMBOLS=yes SHELL=/bin/sh NO_LINT=YES 
LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8 PREFIX=/usr/local  LOCALBASE=/usr/local  
LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe  -fstack-protector 
-fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=" -fstack-protector" 
LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fstack-protector -fno-strict-aliasing " 
 MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  
BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  
BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
RUBY_LIBDIR="lib/ruby/2.3"
RUBY_ARCHLIBDIR="lib/ruby/2.3/i386-freebsd10"
RUBY_SITELIBDIR="lib/ruby/site_ruby/2.3"
RUBY_SITEARCHLIBDIR="lib/ruby/site_ruby/2.3/i386-freebsd10"
RUBY_VENDORLIBDIR="lib/ruby/vendor_ruby/2.3"
RUBY_VENDORARCHLIBDIR="lib/ruby/vendor_ruby/2.3/i386-freebsd10"
RUBY_MODDOCDIR="share/doc/ruby23/ezcrypto"
RUBY_MODEXAMPLESDIR="share/examples/ruby23/ezcrypto"
RUBY_DOCDIR="share/doc/ruby23"
RUBY_EXAMPLESDIR="share/examples/ruby23"
RUBY_RIDIR="share/ri/2.3/system"
RUBY_SITERIDIR="share/ri/2.3/site"
RUBY_VERSION="2.3.4"
RUBY_VER="2.3"
RUBY_SHLIBVER="23"
RUBY_ARCH="i386-freebsd10"
RUBY_SUFFIX="23"
RUBY_NAME="ruby23"
RUBY_DEFAULT_SUFFIX="23"
RUBY22="@comment
"
RUBY23=""
RUBY24="@comment
"
PORTVERSION="0.7.2"
REV=""
GEMS_BASE_DIR="lib/ruby/gems/2.3"
GEMS_DIR="lib/ruby/gems/2.3/gems"
DOC_DIR="lib/ruby/gems/2.3/doc"
CACHE_DIR="lib/ruby/gems/2.3/cache"
SPEC_DIR="lib/ruby/gems/2.3/specifications"
EXT_DIR="lib/ruby/gems/2.3/extensions"
PORT="ezcrypto-0.7.2"
GEM_NAME="ezcrypto-0.7.2"
GEM_LIB_DIR="lib/ruby/gems/2.3/gems/ezcrypto-0.7.2"
GEM_DOC_DIR="lib/ruby/gems/2.3/doc/ezcrypto-0.7.2"
GEM_SPEC="lib/ruby/gems/2.3/specifications/ezcrypto-0.7.2.gemspec"
GEM_CACHE="lib/ruby/gems/2.3/cache/ezcrypto-0.7.2.gem"
EXTRACT_SUFX=".gem"
OSREL=10.3
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/ezcrypto"
EXAMPLESDIR="share/examples/ezcrypto"
DATADIR="share/ezcrypto"
WWWDIR="www/ezcrypto"
ETCDIR="etc/ezcrypto"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/ezcrypto
DOCSDIR=/usr/local/share/doc/ezcrypto
EXAMPLESDIR=/usr/local/share/examples/ezcrypto
WWWDIR=/usr/local/www/ezcrypto
ETCDIR=/usr/local/etc/ezcrypto
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
MACHINE=i386
MACHINE_ARCH=i386
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/make.conf ####
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
ARCH=i386
CONFIGURE_MAX_CMD_LEN=262144
OPSYS=FreeBSD
OSREL=10.3
OSVERSION=1003000
PYTHONBASE=/usr/local
_JAVA_OS_LIST_REGEXP=native\|linux
_JAVA_VENDOR_LIST_REGEXP=openjdk\|oracle\|sun
_JAVA_VERSION_LIST_REGEXP=1.6\|1.7\|1.8\|1.6+\|1.7+\|1.8+
_OSRELEASE=10.3-RELEASE-p19
#### Misc Poudriere ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  524288
stack size              (kbytes, -s)  65536
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
sbsize                   (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   rubygem-ezcrypto-0.7.2 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.10.1.txz
[103i386-default-build-as-user-job-05] Installing pkg-1.10.1...
[103i386-default-build-as-user-job-05] Extracting pkg-1.10.1: .......... done
===>   rubygem-ezcrypto-0.7.2 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of rubygem-ezcrypto-0.7.2
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by rubygem-ezcrypto-0.7.2 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by rubygem-ezcrypto-0.7.2 for building
=> SHA256 Checksum OK for rubygem/ezcrypto-0.7.2.gem.
===========================================================================
=======================<phase: extract-depends>============================
===>   rubygem-ezcrypto-0.7.2 depends on file: /usr/local/bin/ruby23 - not found
===>   Installing existing package /packages/All/ruby-2.3.4,1.txz
[103i386-default-build-as-user-job-05] Installing ruby-2.3.4,1...
[103i386-default-build-as-user-job-05] `-- Installing 
libedit-3.1.20170329_2,1...
[103i386-default-build-as-user-job-05] `-- Extracting libedit-3.1.20170329_2,1: 
.......... done
[103i386-default-build-as-user-job-05] `-- Installing libffi-3.2.1...
[103i386-default-build-as-user-job-05] |   `-- Installing indexinfo-0.2.6...
[103i386-default-build-as-user-job-05] |   `-- Extracting indexinfo-0.2.6: .... 
done
[103i386-default-build-as-user-job-05] `-- Extracting libffi-3.2.1: .......... 
done
[103i386-default-build-as-user-job-05] `-- Installing libyaml-0.1.6_2...
[103i386-default-build-as-user-job-05] `-- Extracting libyaml-0.1.6_2: 
......... done
[103i386-default-build-as-user-job-05] Extracting ruby-2.3.4,1: .......... done
Message from ruby-2.3.4,1:
====
Some of the standard commands are provided as separate ports for ease
of upgrading:

        devel/ruby-gems:        gem - RubyGems package manager
        devel/rubygem-rake:     rake - Ruby Make

And some of the standard libraries are provided as separate ports
since they require extra dependencies:

        databases/ruby-gdbm:    GDBM module

Install them as occasion demands.
====
===>   rubygem-ezcrypto-0.7.2 depends on file: /usr/local/bin/ruby23 - found
===>   Returning to build of rubygem-ezcrypto-0.7.2
===>   rubygem-ezcrypto-0.7.2 depends on file: /usr/local/bin/gem23 - not found
===>   Installing existing package /packages/All/ruby23-gems-2.6.12.txz
[103i386-default-build-as-user-job-05] Installing ruby23-gems-2.6.12...
[103i386-default-build-as-user-job-05] Extracting ruby23-gems-2.6.12: 
.......... done
===>   rubygem-ezcrypto-0.7.2 depends on file: /usr/local/bin/gem23 - found
===>   Returning to build of rubygem-ezcrypto-0.7.2
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by rubygem-ezcrypto-0.7.2 for building
===>  Extracting for rubygem-ezcrypto-0.7.2
=> SHA256 Checksum OK for rubygem/ezcrypto-0.7.2.gem.
Unpacked gem: '/wrkdirs/usr/ports/security/rubygem-ezcrypto/work/ezcrypto-0.7.2'
===========================================================================
=======================<phase: patch-depends  >============================
===>   rubygem-ezcrypto-0.7.2 depends on file: /usr/local/bin/ruby23 - found
===========================================================================
=======================<phase: patch          >============================
===>  Patching for rubygem-ezcrypto-0.7.2
===>  Applying FreeBSD patches for rubygem-ezcrypto-0.7.2
1 out of 1 hunks failed--saving rejects to ezcrypto.gemspec.rej
=> FreeBSD patch patch-ezcrypto.gemspec failed to apply cleanly.
*** Error code 1

Stop.
make: stopped in /usr/ports/security/rubygem-ezcrypto
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to